package cd.casic.ci.process.engine.executor;

import cd.casic.ci.process.engine.runContext.PipelineRunContext;
import cd.casic.ci.process.enums.PiplineTriggerModeEnum;

public interface PipelineExecutor {
    PipelineRunContext execute(String pipelineId, PiplineTriggerModeEnum triggerModeEnum,Boolean formError);
    void traversePipelineContext(String pipelineId);
}
